Package org.mariadb.jdbc.internal.com.send.parameters

## Class StreamParameter

- java.lang.Object
- - org.mariadb.jdbc.internal.com.send.parameters.StreamParameter

All Implemented Interfaces:
  `Cloneable`, `ParameterHolder`

    public class StreamParameter
    extends Object
    implements Cloneable, ParameterHolder

### Field Summary

### Fields inherited from interface org.mariadb.jdbc.internal.com.send.parameters.ParameterHolder

`BINARY_INTRODUCER, QUOTE`

### Constructor Summary

Constructors
`StreamParameter​(InputStream is, boolean noBackSlashEscapes)`
`StreamParameter​(InputStream is, long length, boolean noBackslashEscapes)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canBeLongData()`
`int` `getApproximateTextProtocolLength()` Return approximated data calculated length.
`ColumnType` `getColumnType()`
`boolean` `isNullData()`
`String` `toString()`
`void` `writeBinary​(PacketOutputStream pos)` Write data to socket in binary format.
`void` `writeLongData​(PacketOutputStream pos)`
`void` `writeTo​(PacketOutputStream pos)` Write stream in text format.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StreamParameter

    public StreamParameter​(InputStream is,
                           long length,
                           boolean noBackslashEscapes)

Constructor.

Parameters:
  `is` - stream to write
  `length` - max length to write (if null the whole stream will be send)
  `noBackslashEscapes` - must backslash be escape

#### StreamParameter

    public StreamParameter​(InputStream is,
                           boolean noBackSlashEscapes)

### Method Detail

#### writeTo

    public void writeTo​(PacketOutputStream pos)
                 throws IOException

Write stream in text format.

Specified by:
  `writeTo` in interface `ParameterHolder`
Parameters:
  `pos` - database outputStream
Throws:
  `IOException` - if any error occur when reader stream

#### getApproximateTextProtocolLength

    public int getApproximateTextProtocolLength()

Return approximated data calculated length.

Specified by:
  `getApproximateTextProtocolLength` in interface `ParameterHolder`
Returns:
  approximated data length.

#### writeBinary

    public void writeBinary​(PacketOutputStream pos)
                     throws IOException

Write data to socket in binary format.

Specified by:
  `writeBinary` in interface `ParameterHolder`
Parameters:
  `pos` - socket output stream
Throws:
  `IOException` - if socket error occur

#### writeLongData

    public void writeLongData​(PacketOutputStream pos)
                       throws IOException

Specified by:
  `writeLongData` in interface `ParameterHolder`
Throws:
  `IOException`

#### toString

    public String toString()

Specified by:
  `toString` in interface `ParameterHolder`
Overrides:
  `toString` in class `Object`

#### getColumnType

    public ColumnType getColumnType()

Specified by:
  `getColumnType` in interface `ParameterHolder`

#### isNullData

    public boolean isNullData()

Specified by:
  `isNullData` in interface `ParameterHolder`

#### canBeLongData

    public boolean canBeLongData()

Specified by:
  `canBeLongData` in interface `ParameterHolder`